| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class UnaryNot

    java.lang.Object
      |
      +--UnaryNot

public class UnaryNot
extends java.lang.Object

Constructor Summary
`UnaryNot()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, boolean sw)`
`void` | `if_codegen(ClassFile classfile, CodeAttribute code, boolean sw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryNot

    public UnaryNot()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        boolean sw)
                 throws JVMCodeException

    `JVMCodeException`

### if_codegen

    public void if_codegen(ClassFile classfile,
                           CodeAttribute code,
                           boolean sw)
                    throws JVMCodeException

    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD